// E3D_Behaviour.h: interface for the E3D_Behaviour class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_E3D_BEHAVIOUR_H__0A71FAC0_94ED_49BA_AAF6_2492A8FAC257__INCLUDED_)
#define AFX_E3D_BEHAVIOUR_H__0A71FAC0_94ED_49BA_AAF6_2492A8FAC257__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define BEHAVE_NOTHING	0
#define BEHAVE_STRAIGHT 1
#define BEHAVE_GRAVITY	2
#define BEHAVE_DEACTIVE	3
#define BEHAVE_WANDER	4
#define BEHAVE_SEEKDEST	5
#define BEHAVE_RUNHIDE	6
#define BEHAVE_KAMIKAZE	7
#define BEHAVE_DYING	8
#define BEHAVE_FRAGMENT	9
#define BEHAVE_ROTATE	10
#define BEHAVE_BULLET	11
#define BEHAVE_WAIT		12
#define BEHAVE_DEFAULTCOUNT	100

class E3D_Behaviour  
{
public:
	void SetBehaviour(class E3D_Object *pObject);
	void Step(class E3D_Object *pObject);
	void Initialise(class E3D_Object *pObject);
	E3D_Behaviour();
	virtual ~E3D_Behaviour();

};

#endif // !defined(AFX_E3D_BEHAVIOUR_H__0A71FAC0_94ED_49BA_AAF6_2492A8FAC257__INCLUDED_)
