// E3D_Light.h: interface for the E3D_Light class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_E3D_LIGHT_H__D2138DC5_F8F5_4C47_87A2_98EB8161E518__INCLUDED_)
#define AFX_E3D_LIGHT_H__D2138DC5_F8F5_4C47_87A2_98EB8161E518__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class E3D_Light  
{
public:
	int type;				// DISTANT / OMNI / 
	float x, y, z;			// position vector (OMNI) OR direction vector (unit vector) (DISTANT)
	float r, g, b;			// 0.0 to 1.0
	float intensity;		// 0.0 to 1.0

	void Delete();
	void SetColor(float r1, float g1, float b1);
	void SetColour(float r1, float g1, float b1);
	void SetIntensity(float i1);
	void SetDirection();
	void PointAt();
	void MoveTo(float x1, float y1, float z1);
	E3D_Light();
	virtual ~E3D_Light();

};

#endif // !defined(AFX_E3D_LIGHT_H__D2138DC5_F8F5_4C47_87A2_98EB8161E518__INCLUDED_)
