// E3D_Object.cpp: implementation of the E3D_Object class.
//
//////////////////////////////////////////////////////////////////////
#include "E3D.h"
#include "E3D_Object.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

E3D_Object::E3D_Object()
{
	velocity.x = 0.0f;
	velocity.y = 0.0f;
	velocity.z = 0.0f;
	rx = 0.0f;
	ry = 0.0f;
	rz = 0.0f;
	sx = 1.0f;
	sy = 1.0f;
	sz = 1.0f;
	x = 0.0f;
	y = 0.0f;
	z = 0.0f;
}

E3D_Object::~E3D_Object()
{

}

// set this object's 3D position
void E3D_Object::MoveTo(float x1, float y1, float z1)
{
	x = x1;
	y = y1;
	z = z1;
}

// scale this object relative to it's model
void E3D_Object::Scale(float sx1, float sy1, float sz1)
{
	sx = sx1;
	sy = sy1;
	sz = sz1;
}

// rotate this object
void E3D_Object::Rotate(float rx1, float ry1, float rz1)
{
	rx = rx1;
	ry = ry1;
	rz = rz1;
}

// get X-axis measurement of this object
float E3D_Object::GetWidth()
{
	return 0;
}

// get Y-axis measurement of this object
float E3D_Object::GetHeight()
{
	return 0;
}

// get Z-axis measurement of this object
float E3D_Object::GetDepth()
{
	return 0;
}

// get X position of this object
float E3D_Object::GetX()
{
	return x;
}

// get Y position of this object
float E3D_Object::GetY()
{
	return y;
}

// get Z position of this object
float E3D_Object::GetZ()
{
	return z;
}

// remove this object
void E3D_Object::Delete()
{

}
