// E3D_Utility.h: interface for the E3D_Utility class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_E3D_UTILITY_H__7D668797_CE15_4FE8_AEA5_D7DF419F04F0__INCLUDED_)
#define AFX_E3D_UTILITY_H__7D668797_CE15_4FE8_AEA5_D7DF419F04F0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class E3D_Utility  
{
public:
	float vector_length_f(float x, float y, float z);
	void normalize_vector_f(float *x, float *y, float *z);
	float dot_product_f(float x1, float y1, float z1, float x2, float y2, float z2);
	float cos_theta_f(float x1, float y1, float z1, float x2, float y2, float z2);
	void cross_product_f(float x1, float y1, float z1, float x2, float y2, float z2, float *xout, float *yout, float *zout);
	float polygon_z_normal_f(Vector_f *v1, Vector_f *v2, Vector_f *v3);
	void poly_unit_normal_f(float x1, float y1, float z1, float x2, float y2, float z2, float *xout, float *yout, float *zout);

	E3D_Utility();
	virtual ~E3D_Utility();

};

#endif // !defined(AFX_E3D_UTILITY_H__7D668797_CE15_4FE8_AEA5_D7DF419F04F0__INCLUDED_)
