// track section handler
#include <windows.h>		// Header File For Windows
#include <stdio.h>			// Header File For Standard Input/Output
#include <math.h>
#include <gl\gl.h>			// Header File For The OpenGL32 Library
#include <gl\glu.h>			// Header File For The GLu32 Library
#include <gl\glaux.h>		// Header File For The Glaux Library
#include <gl\glfw.h>		// Header File for the GL Framwork Lib
#include "E3D.h"
#include "E3D_Scene1.h"
#include "E3D_Model.h"
#include "E3D_Object.h"

#define SECTION_LENGTH		20
#define SECTION_DIVISIONS	10

float sectionLength;
int numdivisions;

class E3D_Scene Scene;

void InitSections() {

	sectionLength = SECTION_LENGTH;
	numdivisions = SECTION_DIVISIONS;
}

void NewSection() {
	E3DModel *pModel;
	E3DObject *pObject;

	// create a new model, then a new object
	// set new objects model to our new model
	pModel = Scene.AddModel();
	pObject = Scene.AddObject();
	pObject->pModel = pModel;

//	Scene.AddObject("airbody2.3do");



}